# Convert Markview Metabolomics file (alignment table) into a artMS compatible format

Source: `R/metabolomics.R`
`artmsConvertMetabolomics.Rd`

`artMS` enables the relative quantification of untargeted polar metabolites using the alignment table generated by Markview. MarkerView is an ABSciex software that supports the files generated by Analyst software (`.wiff`) used to run our specific mass spectrometer (ABSciex Triple TOF 5600+). It also supports `.t2d` files generated by the Applied Biosystems 4700/4800 MALDI-TOF. MarkerView software is used to align mass spectrometry data from several samples for comparison. Using the import feature in the software, `.wiff` files (also `.t2d` MALDI-TOF files and tab-delimited `.txt` mass spectra data in mass-intensity format) are loaded for retention time alignment. Once the data files are selected, a series of windows will appear wherein peak finding, alignment, and filtering options can be entered and selected. These options include minimum spectral peak width, minimum retention time peak width, retention time and mass tolerance, and the ability to filter out peaks that do not appear in more than a user selected number of samples.

`artmsConvertMetabolomics`` processes the markview file to enable QC analysis and relative quantification using the artMS functions

    artmsConvertMetabolomics(input_file, out_file, id_file = NULL, verbose = TRUE)

## Arguments

input_file | (char) Markview input file
out_file | (char) Output file name
id_file | (char) KEGG database
verbose | (logical) `TRUE` (default) shows function messages

## Value

(text file) Outputs the converted output name

## Examples

    # Testing that the arguments cannot be null
    artmsConvertMetabolomics(input_file = NULL,
                             out_file = NULL)
    #> [1] "Both <input_file> and <out_file> are required"